cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/banners/v2/{banner_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"banner_id": "<string>",
"banner_update": {
"project_id": "<string>",
"name": "<string>",
"template_type": "<string>",
"content_id": "<string>",
"dynamic_target": {
"filter": "<string>",
"order_by": "<string>",
"offset": "<string>"
},
"background_assets": [
{
"options": [
{
"asset_id": {
"asset_id": {}
},
"keypath": "<string>"
}
],
"breakpoint_width": 123
}
],
"data": {},
"environments": [
"<string>"
],
"css_classes": [
"<string>"
],
"overrides": {},
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"destination_url": {},
"is_preview": true,
"source_banner_id": "<string>",
"is_fallback": true
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/banners/v2/{banner_id}"
payload = {
"banner_id": "<string>",
"banner_update": {
"project_id": "<string>",
"name": "<string>",
"template_type": "<string>",
"content_id": "<string>",
"dynamic_target": {
"filter": "<string>",
"order_by": "<string>",
"offset": "<string>"
},
"background_assets": [
{
"options": [
{
"asset_id": { "asset_id": {} },
"keypath": "<string>"
}
],
"breakpoint_width": 123
}
],
"data": {},
"environments": ["<string>"],
"css_classes": ["<string>"],
"overrides": {},
"geo_applicability_exempt": { "country_codes": ["<string>"] },
"geo_applicability_apply": { "country_codes": ["<string>"] },
"destination_url": {},
"is_preview": True,
"source_banner_id": "<string>",
"is_fallback": True
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
banner_id: '<string>',
banner_update: {
project_id: '<string>',
name: '<string>',
template_type: '<string>',
content_id: '<string>',
dynamic_target: {filter: '<string>', order_by: '<string>', offset: '<string>'},
background_assets: [
{
options: [{asset_id: {asset_id: {}}, keypath: '<string>'}],
breakpoint_width: 123
}
],
data: {},
environments: ['<string>'],
css_classes: ['<string>'],
overrides: {},
geo_applicability_exempt: {country_codes: ['<string>']},
geo_applicability_apply: {country_codes: ['<string>']},
destination_url: {},
is_preview: true,
source_banner_id: '<string>',
is_fallback: true
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/banners/v2/{banner_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"banner": {
"project_id": "<string>",
"name": "<string>",
"template_type": "<string>",
"id": "<string>",
"content_id": "<string>",
"dynamic_target": {
"filter": "<string>",
"order_by": "<string>",
"offset": "<string>"
},
"background_assets": [
{
"options": [
{
"asset_id": {
"asset_id": {}
},
"keypath": "<string>"
}
],
"breakpoint_width": 123
}
],
"data": {},
"environments": [
"<string>"
],
"css_classes": [
"<string>"
],
"overrides": {},
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"destination_url": {},
"is_preview": true,
"source_banner_id": "<string>",
"is_fallback": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Banners
Update banner
UpdateBanner
Updates an existing banner.
PATCH
/
cms
/
banners
/
v2
/
{banner_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Banner represents a single banner that can be displayed on an end-user facing web/app page. Banners can be either static (with fixed content) or dynamic (content derived from parameters).
Show child attributes
Show child attributes
⌘I

